## org.apache.commons.collections.set
Class PredicatedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.PredicatedCollection
                  org.apache.commons.collections.set.PredicatedSet

All Implemented Interfaces:
  Collection, Serializable, Set

Direct Known Subclasses:
  PredicatedSortedSet

public class PredicatedSet
extends PredicatedCollection
implements Set

Decorates another `Set` to validate that all additions match a specified predicate.

This set exists to provide validation for the decorated set. It is normally created to decorate an empty set. If an object cannot be added to the set, an IllegalArgumentException is thrown.

One usage would be to ensure that no null entries are added to the set.

    Set set = PredicatedSet.decorate(new HashSet(), NotNullPredicate.INSTANCE);

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/06/03 22:02:13 $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.PredicatedCollection
`predicate`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `PredicatedSet(Set set, Predicate predicate)` Constructor that wraps (not copies).

Method Summary
`static Set` `decorate(Set set, Predicate predicate)` Factory method to create a predicated (validating) set.
`protected Set` `getSet()` Gets the set being decorated.

Methods inherited from class org.apache.commons.collections.collection.PredicatedCollection
`add, addAll, decorate, validate`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### PredicatedSet

    protected PredicatedSet(Set set,
                            Predicate predicate)

  Constructor that wraps (not copies).

  If there are any elements already in the set being decorated, they are validated.

Parameters:
  `set` - the set to decorate, must not be null
  `predicate` - the predicate to use for validation, must not be null
Throws:
  `IllegalArgumentException` - if set or predicate is null
  `IllegalArgumentException` - if the set contains invalid elements

Method Detail

### decorate

    public static Set decorate(Set set,
                               Predicate predicate)

  Factory method to create a predicated (validating) set.

  If there are any elements already in the set being decorated, they are validated.

  Parameters:
    `set` - the set to decorate, must not be null
    `predicate` - the predicate to use for validation, must not be null
  Throws:
    `IllegalArgumentException` - if set or predicate is null
    `IllegalArgumentException` - if the set contains invalid elements

### getSet

    protected Set getSet()

  Gets the set being decorated.

  Returns:
    the decorated set

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.